commit:     1c2ae1df6ff5441c0b9c036f54ae7195d3a5d52b
Author:     Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Thu Sep 29 14:16:26 2022 +0000
Commit:     Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Thu Sep 29 14:16:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1c2ae1df

app-shells/fzf-tab: add 0_pre20220815

Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>

 app-shells/fzf-tab/Manifest                     |  1 +
 app-shells/fzf-tab/fzf-tab-0_pre20220815.ebuild | 75 +++++++++++++++++++++++++
 2 files changed, 76 insertions(+)

diff --git a/app-shells/fzf-tab/Manifest b/app-shells/fzf-tab/Manifest
index 159ffd9e3..a051eae8e 100644
--- a/app-shells/fzf-tab/Manifest
+++ b/app-shells/fzf-tab/Manifest
@@ -1 +1,2 @@
 DIST fzf-tab-0_pre20220331.tar.gz 774324 BLAKE2B 
59ef88380952dce19e615faf9317a2b71e414bc8320d47da94d62cdfbe9eed9485e002d55bc987f0bf77ace2c6ed3d875b6d7bd1e020db26f15df97b544da676
 SHA512 
3a350af319f5dbb4405988c7bf7372ca17710199000a6807e5d5dfdc5bf8d97b2e93c7a668f33c6341687aebc9115fff6fe3bd312d473a34db12de51dc5c703f
+DIST fzf-tab-0_pre20220815.tar.gz 774621 BLAKE2B 
d945b8a206505972fe23f9339c470386d8cdd3b71336372ccf5bf0599fc0569813bcd577e290323f803e9d99cbfc0c275941a4710ee8dfe45002271cbee89bf0
 SHA512 
0fa16dbcc755717ae3f7873b5a62da28d620493eaf679f74e5f77187a5253f7c0dab55fbcdfceb0fd895be5e080a773bc1a75670551fc3ef7755ce976fa94591

diff --git a/app-shells/fzf-tab/fzf-tab-0_pre20220815.ebuild 
b/app-shells/fzf-tab/fzf-tab-0_pre20220815.ebuild
new file mode 100644
index 000000000..94aec83ca
--- /dev/null
+++ b/app-shells/fzf-tab/fzf-tab-0_pre20220815.ebuild
@@ -0,0 +1,75 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit readme.gentoo-r1
+
+MY_COMMIT="938eef72e93ddb0609205a663bf0783f4e1b5fae"
+DESCRIPTION="Replace zsh's default completion selection menu with fzf"
+HOMEPAGE="https://github.com/Aloxaf/fzf-tab";
+SRC_URI="https://github.com/Aloxaf/fzf-tab/archive/${MY_COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_COMMIT}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+       app-shells/fzf
+       app-shells/zsh
+"
+BDEPEND="
+       test? (
+               app-shells/zsh
+               dev-vcs/git
+       )
+"
+
+RESTRICT="test" # bug 861638
+
+DISABLE_AUTOFORMATTING="true"
+DOC_CONTENTS="In order to use ${CATEGORY}/${PN} add
+. /usr/share/zsh/site-functions/${PN}.zsh
+to your ~/.zshrc after compinit, but before plugins which will wrap
+widgets, such as zsh-autosuggestions or fast-syntax-highlighting"
+
+src_configure() {
+       # Test fails if we modify FZF_TAB_HOME in place
+       sed -E "s|^(FZF_TAB_HOME=\"[^\"]+)\"$|\1/${PN}\"|" \
+               ${PN}.zsh > ${PN}-patched.zsh || die "Modifying FZF_TAB_HOME 
failed"
+
+       pushd modules || die "Changing directory failed"
+       default_src_configure
+}
+
+src_compile() {
+       pushd modules || die "Changing directory failed"
+       default_src_compile
+}
+
+src_test() {
+       pushd test || die "Changing directory failed"
+       ZTST_verbose=1 zsh -f ./runtests.zsh fzftab.ztst || die "One or more 
tests failed"
+}
+
+src_install() {
+       local zsh_libdir="/usr/share/zsh/site-functions"
+
+       insinto ${zsh_libdir}
+       newins ${PN}{-patched,}.zsh
+
+       insinto ${zsh_libdir}/${PN}
+       doins -r lib
+
+       insinto ${zsh_libdir}/${PN}/modules/Src/aloxaf
+       doins modules/Src/aloxaf/fzftab.so
+
+       readme.gentoo_create_doc
+       einstalldocs
+}
+
+pkg_postinst() {
+       readme.gentoo_print_elog
+}

Reply via email to